Subject: bug#73244: Emacs29.3 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.41

From: Po Lu <[email-masked]>
Date: Sat, 21 Sep 2024 17:58:00 +0800

Eli Zaretskii <[email-masked]> writes:

>> Date: Sat, 14 Sep 2024 12:42:50 +1000
>> From: "John Hurst" <[email-masked]>
>> 
>> The bug I have, since upgrading to Ubuntu 24.04 and install emacs29 is that the initial frame has width x height of 20 x 9, even though I have a .Xresources file containing
>>    Emacs*geometry: 100x40+1900+0
>> end a default-frame-alist of
>>   Value:
>>   ((font . "Monospace-10")
>>    (height . 42)
>>    (width . 90)
>>    (tool-bar-lines . 0)
>>    (menu-bar-lines . 1)
>>    (top . 0)
>>    (left . 1200))
>>   Original value was nil
>> set up by my .emacs file.
>> 
>> Using either the pull-down File->New Frame, or C-x 5 2, both generate new frames of the 20 x 9 size.
>> 
>> I can send the .emacs file if needed, but note that "emacs -D' also gives the same default size of 20 x 9, so I don't think it is a problem with my .emacs file - which did work OK under Ubuntu 22.04 and emacs28.
>
> Po Lu, any comments or suggestions?

>From what I've heard, the culprit is rather the upgrade to Ubuntu 24.04
than to Emacs 29, and the problem will disappear if Emacs is configured
with another toolkit than GTK.